import 'package:krow/features/profile/wages_forms/domain/entities/edd_form_entity.dart';
import 'package:krow/features/profile/wages_forms/domain/entities/i_nine_entity.dart';
import 'package:krow/features/profile/wages_forms/domain/entities/offer_letter_entity.dart';
import 'package:krow/features/profile/wages_forms/domain/entities/w_four_entity.dart';
import 'package:krow/features/profile/wages_forms/domain/utils/wage_form_visitor.dart';

class TitleWageFormVisitor implements WageFormVisitor<String> {
  const TitleWageFormVisitor({this.isPreview = false});

  final bool isPreview;

  @override
  String visitEddForm(EddFormEntity entity) {
    return 'Form EDD${isPreview ? ' Preview' : ''}';
  }

  @override
  String visitINineForm(INineEntity entity) {
    return 'Form I-9${isPreview ? ' Preview' : ''}';
  }

  @override
  String visitOfferLetterFrom(OfferLetterEntity entity) {
    return isPreview ? 'Form Offer Let... Preview' : 'Offer Letter & Agreement';
  }

  @override
  String visitWFourForm(WFourEntity entity) {
    return 'Form W-4${isPreview ? ' Preview' : ''}';
  }
}
